Subject: bug#70105: 30.0.50; Emacs should support EditorConfig out of the box

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Jun 2024 18:57:43 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked],
>  [email-masked], [email-masked], [email-masked]
> Date: Wed, 19 Jun 2024 15:52:29 +0000
> 
> Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
> text editors" <[email-masked]> writes:
> 
> > +The @code{indent_size} setting of the EditorConfig standard does not
> > +correspond to a fixed variable in Emacs, but instead needs to set
> > +different variables depending on the major mode.  Ideally all major
> > +modes should set the corresponding @code{editorconfig-indent-size-vars},
> > +but if you use a major mode in which @code{indent_size} does not take
> > +effect because the major mode does not yet support it, you can customize
> > +the @code{editorconfig-indentation-alist} variable to tell Emacs which
> > +variables need to be set in that major mode.
> 
> Reading this as a major mode maintainer, I have not the slightest clue
> about EditorConfig standard. So, I have no idea what indent_size is all
> about and what I am supposed to do with it.

This is from the Emacs user manual, not from the ELisp reference
manual.  So the intended audience is users, and in particular those
who have .editorconfig files and thus already know about indent_size.

Guidance and recommendations for mode developers are of course also
needed, but they will go into the other manual, and (AFIU) we don't
yet fully know what to write there, because this is still a moving
target.  When we figure that out, it would be good to document the
conventions and recommended practices.  But we are not there yet.